petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISLocalToGlobalMappingConcatenate

Create a new mapping that concatenates a list of mappings

### Synopsis

    #include "petscis.h"
    PetscErrorCode ISLocalToGlobalMappingConcatenate(MPI_Comm comm,PetscInt n,const ISLocalToGlobalMapping ltogs[],ISLocalToGlobalMapping *ltogcat)

Not Collective Many br

### Input Arguments

| comm | - communicator for the new mapping, must contain the communicator of every mapping to concatenate Many br
| n | - number of mappings to concatenate Many br
| ltogs | - local to global mappings Many br

### Output Arguments

ltogcat -new mapping Many br

Note: this currently always returns a mapping with block size of 1 Many br

Developer Note: If all the input mapping have the same block size we could easily handle that as a special case Many br

Many br

### See Also

ISLocalToGlobalMappingCreate()

Level:advanced
Location:src/vec/is/utils/isltog.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages